# $Id: perl-Proc-Daemon.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dries
# Upstream: Earl Hood <ehood$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Proc-Daemon

Summary: Run a perl program as a daemon process
Name: perl-Proc-Daemon
Version: 0.14
Release: 1.ru
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Proc-Daemon/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Proc/Proc-Daemon-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Proc::Daemon provides the capability for a Perl program to run
as a Unix daemon process.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/Proc/
%{perl_vendorlib}/Proc/Daemon.pm
%{perl_vendorlib}/Proc/Daemon.pod

%changelog
* Fri Apr 13 2012 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 0.14-1.ru6
- Rutgers Build
* Wed Mar 22 2006 Dries Verachtert <dries@ulyssis.org> - 0.03-1.2 - 7981/dag
- Rebuild for Fedora Core 5.

* Mon Dec 06 2004 Dries Verachtert <dries@ulyssis.org> - 0.03-1
- Initial package.
